using SQLite;

namespace StreamBuddy.PluginInterface.DB
{
    /// <summary>
    /// Values stored per stream
    /// </summary>
    public class StreamValue
    {
        /// <summary>
        /// The name of the value, lowercased.
        /// </summary>
        [PrimaryKey, NotNull, Collation("nocase")]
        public string ValueName { get; set; }

        /// <summary>
        /// The stored value, as a string.
        /// </summary>
        public string Value { get; set; }

		public override string ToString()
		{
			return string.Format("{0}='{1}'", ValueName, Value);
		}
    }
}
